Bug 453927 - expand window vertically assumes autohide panel
expand window vertically assumes autohide panel
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-07-03 05:55 EDT by Axel
Modified: 2009-07-14 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:22:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Axel 2008-07-03 05:55:45 EDT
Description of problem:

When expanding a window vertically, the lower edge of the window is set such
that it fits the upper edge of the lower panel in "autohide" state, even when
autohide is turned off.

Version-Release number of selected component (if applicable):

GNOME gnome-panel 2.22.2
metacity 2.22.0

How reproducible:


Steps to Reproduce:
1.bind a keyboard shortcut to "maximize-window-vertically
2.use it, e.g. on an emacs or shell window.
Actual results:

lower edge of maximized window, (e.g. emacs command line) is hidden below panel

Expected results:

lower edge not hidden

Additional info:

Problem disappears when panel is autohiding.  It appears that maximizing always
assumes the autohidden panel size.  Problem does not occur when maximizing in
all directions.
Comment 1 Axel 2008-07-08 08:35:47 EDT
Sometimes I also get the reverse.  Vertical maximization of windows without auto
hiding panel is beautiful, with it things get to large.  No idea was causes the
transitions between the two cases.
Comment 2 Wolfgang Rupprecht 2008-08-09 17:35:50 EDT
This bug is driving me crazy.  I've been using a keystroke to maximize vertically, horizontally, or both for too many years to convince my fingers to stop typing that command when I need a window with more context.  Someone please fix this...
Comment 3 Bug Zapper 2009-06-09 21:53:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 12:22:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.